/* Time.java

        Purpose:
                
        Description:
                
        History:
                Mon Oct 16 15:07:38 CST 2023, Created by jamson

Copyright (C) 2023 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

/**
 * Time mapping determines what time each point plays. It is defined as an offset in milliseconds, where 0 means it plays immediately when the chart is sonified.
 * <p>By default time is mapped to x, meaning points with the lowest x value plays first, and points with the highest x value plays last.
 * <p>Can be set to a fixed value, a prop to map to, a function, or a mapping object.
 * @author Jamson Chan
 * @since 11.2.0.0
 */
public class Time extends Frequency {
}
