/* DumbbellPlotImpl.java

	Purpose:
		
	Description:
		
	History:
		4:05 PM 2022/9/8, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.FromToWeightModel;
import org.zkoss.chart.model.LowHighModel;

/**
 * A model implementation for dumbbell chart
 * @author jumperchen
 * @since 10.2.1.0
 */
public class DumbbellPlotImpl extends PlotEngineImpl {

	public DumbbellPlotImpl(PlotData plotData) {
		super(plotData);
	}
	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof LowHighModel) {
			return drawLowHighModel((LowHighModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
