/* BarPlotOptions.java

	Purpose:
		
	Description:
		
	History:
		Thu, Jan 16, 2014  3:52:23 PM, Created by RaymondChao

Copyright (C) 2014 Potix Corporation. All Rights Reserved.

 */
package org.zkoss.chart.plotOptions;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * An option for bar plot
 * <p>
 * All the options in this class support {@link DynamicalAttribute}.
 * @author RaymondChao
 */
public class BarPlotOptions extends ColumnPlotOptions {
	@Override
	protected DataLabels newDataLabels() {
		return new BarDataLabels();
	}

	@Override
	public BarDataLabels getDataLabels() {
		return (BarDataLabels) super.getDataLabels();
	}
}