/* ArcDiagramPlotImpl.java

	Purpose:
		
	Description:
		
	History:
		12:16 PM 2022/9/7, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.FromToWeightModel;

/**
 * A model implementation for arc diagram chart
 * @author jumperchen
 * @since 10.2.1.0
 */
public class ArcDiagramPlotImpl extends PlotEngineImpl {

	public ArcDiagramPlotImpl(PlotData plotData) {
		super(plotData);
	}
	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof FromToWeightModel) {
			return drawFromToWeightModel((FromToWeightModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
